Page MenuHomePhabricator

Fix the header overlapping the tour window
Closed, ResolvedPublic3 Story Points

Description

Fix search header overlapping the tooltips as seen in https://phabricator.wikimedia.org/T195713#4534020

See suggested fix in https://phabricator.wikimedia.org/T195713#4541348

Event Timeline

WMDE-Fisch triaged this task as Normal priority.Aug 29 2018, 9:23 AM
WMDE-Fisch created this task.
WMDE-Fisch changed the point value for this task from 3 to 0.Aug 29 2018, 9:25 AM
WMDE-Fisch assigned this task to jkroll.Aug 29 2018, 4:06 PM
Lea_WMDE changed the point value for this task from 0 to 3.Sep 13 2018, 2:43 PM
Lea_WMDE reassigned this task from jkroll to thiemowmde.Sep 25 2018, 1:13 PM
Lea_WMDE moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2018-09-25 board.
Lea_WMDE added subscribers: jkroll, Lea_WMDE.

There are multiple suggestions. The problem could be alievated by making the popups wider, but ideally we want to fully remove the problem. One idea might be to look into the OOUI configurations.

A little more investigation:

  • OOUI supports dialog (a.k.a. window) sizes "small" (300px), "medium" (500px), "large" (600px), "larger" (900px), and "full" (100%). Currently our code for the tour dialogs sets "large", but this is apparently ignored or not set correctly because the popups end up being 300px. Apparently this is an actual bug we should fix!
  • Using the $container option as described in https://www.mediawiki.org/wiki/OOUI/Widgets/Popups#containerExample sounds great. I will continue the investigation @jkroll started.

Change 463086 had a related patch set uploaded (by Jkroll; owner: Jkroll):
[mediawiki/extensions/TwoColConflict@master] Making the popups a bit larger seems to fix this for most, if not all cases.

https://gerrit.wikimedia.org/r/463086

Change 463086 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Making the popups a bit larger seems to fix this for most, if not all cases.

https://gerrit.wikimedia.org/r/463086

Lea_WMDE closed this task as Resolved.Oct 2 2018, 1:10 PM
Lea_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2018-09-25 board.